<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\OffenceCase;
use App\Models\ChargeSheet;
use App\Models\Vehicle;
use App\Models\Respondant;
use App\Models\LawSection;

class FetchController extends Controller
{
    //
    public static function getallchallanlist()
    {
         //$challan = Respondant::with('address','driving_license')->get();    //all()->toArray();
        // $challan = OffenceCase::all()->toArray();    //all()->toArray();
        $challan = OffenceCase::with('vehicle','respondant','respondant_owner','respondant_owner.law_sections','parking','disposal','release')->get();
        //  dd($challan);
        
        return $challan;
    }
    public static function get_all_drunk_and_drive(){
        $challan = OffenceCase::with('vehicle','respondant','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','officer','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->ofDDCases('1')->get();
         return $challan;
    }
	
    public static function get_all_other_list(){
        $challan = OffenceCase::with('vehicle','respondant','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->ofOtherCases('2')->get();
        return $challan;
    }
	public static function get_all_pagenation_drunk_and_drive(){
        $challan = OffenceCase::with('vehicle','respondant','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','officer','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->ofDDCases('1')->simplePaginate(10);
        return $challan;
    }
	
    public static function get_all_pagenation_other_list(){
        $challan = OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->ofOtherCases('2')->simplePaginate(10);
        return $challan;
    }
	
    public static function get_cases_details_by_id($id){
        // dd($id);
        // \DB::enableQueryLog();
        $challan = OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->find($id);
        // dd(\DB::getQueryLog());
        return $challan;
    }
    public static function getrespondant()
    {
         //$challan = Respondant::with('address','driving_license')->get();    //all()->toArray();
        $challan = Respondant::all()->toArray();    //all()->toArray();
        //  dd($challan);
        return $challan;
    }
}
