<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Master\Master_OffenceCase;
use Spatie\Searchable\Search;
use App\Models\Respondant;
use App\Models\OffenceCase;
use App\Models\Vehicle;
use DB;
use Illuminate\Database\Eloquent\Builder;
class OffenceCaseController extends Controller
{
    //
    public static function offencecase_master_test()
    {
        $data['id']='';
        $data['offence_type'] = 1;
        $data['location'] = 'hi_hello';
        $data['offence_date'] = '2021-10-11';
        $data['jurisdiction']='Medchal';
        $data['status']=1;
        $data['challan_number']='TS201224';
        $data['remarks']= 'this is casse of d&d';


        $data['chargesheet']['chargeSheet_no']='1';
        $data['chargesheet']['Constablename'] = 'bye';
        $data['chargesheet']['Officername'] = 'hi_hello';
        $data['chargesheet']['date'] = '1990-10-11';

        $data['officer']['emp_code'] = 1;
        $data['officer']['name'] = 'hi_hello';
        $data['officer']['PS'] = 'Alwal';

        $data['parking']['date'] = '2021-10-15';
        $data['parking']['place'] = 'alwal';
        $data['parking']['row'] = 'c20';
        $data['parking']['slot'] = '20'; 

        $data['release']['status'] = 1;
        $data['release']['release_by'] = 1;
        $data['release']['release_datetime'] = now();

        $data['disposal']['type'] = 1;
        $data['disposal']['date_of_disposal'] = '2021-10-22';
        $data['dispoasl']['stc_number'] = 19901020;
        
        // $data['surety']['type'] = 1;
        // $data['surety']['name'] = 'hi_hello';
        // $data['surety']['reference'] = '1990-10-11';
        // $data['surety']['document_details']='female';
        // $data['surety']['file_path']='work';

        $response = Master_OffenceCase::create_or_update($data);
        return $response;
    }


    public static function update_parking(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    } 
    public static function update_chargesheet(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    } 
    public static function update_disposal(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    }  
    public static function update_release(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    } 
    public static function getchallan(Request $Request)
    {
        $response = Master_OffenceCase::create_pdf();
        return $response;
    } 
    
    public static function export(){
        $response = Master_OffenceCase::create_excel();
        return $response;
    }

    public static function add_case(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    } 

    public static function update_case_details(Request $Request)
    {
        $response = Master_OffenceCase::json_create_or_update($Request);
        return $response;
    } 
    public static function search(Request $request){
      $data=$request->json()->All();
			// dd($data['query']);
			if($data['query']!=null){
      $search_data=array();
      $searchResults=(new Search())
      ->registerModel(OffenceCase::class, 'challan_number')
      ->registerModel(Respondant::class, 'name','mobile')
      ->registerModel(Vehicle::class, 'number')
       ->perform($data['query']);
			
			 foreach($searchResults as  $modelSearchResults){
          if($modelSearchResults->type=="respondants"){
            $res_id=$modelSearchResults->searchable->id;
            $search_data[]=OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->whereHas('respondant',function ($query) use ($res_id){
               $query->where('respondant_id','=',$res_id);
              })->first();
          }
				if($modelSearchResults->type=="offence_cases"){
					$offence_case_id=$modelSearchResults->searchable->id;
				 $search_data[]=OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->find($offence_case_id);
				}
				if($modelSearchResults->type=="vehicles"){
          $vehicle_id=$modelSearchResults->searchable->id;
          $search_data[]=OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->whereHas('vehicle',function ($query) use ($vehicle_id){
           $query->where('vehicle_id','=',$vehicle_id);
          })->first(); 
      }
    }
		return response()->json($search_data,200);
	}else{
		$val['message'] = "Please enter some value";
		return response()->json($val, 404);
	}
	}
}
