<?php

namespace App\Imports;

use App\Models\OffenceCase;
use App\Master\Master_Respondant;
use App\Master\Master_OffenceCase;
use App\Master\Master_Vehicle;

use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class OffenceCaseImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        // dd($row);
        // dd($row['eticket_no']);
        $newDateFormat = \Carbon\Carbon::parse($row['offence_date'])->format('Y-m-d');
        $scape = ' ';

        if ($row['gender'] == 'M') {
            $gender = 1;
        } else {
            $gender = 2;
        }

        if ($row['name_of_respondent']){
            $data['type'] = 0;
            $data['name'] = $row['name_of_respondent'];
            $data['age'] = $row['age'];
            $data['gender'] = $gender;
            $data['father name'] = $row['fathers_name'];
            $data['mobile'] = $row['mobile_no_of_respondent'];
            $data['office name'] = '';
            $data['occupation'] = '';
            $data['aadhar'] = $row['aadhar'];
        }
        if($row['driver_address'] != ''){
        $data['address']['address1'] = $row['driver_address'];
        }
        if($row['license'] !=''){
        $data['driving licenses']['Number'] = $row['license'];
        }
        if ($row['type_of_vehicle'] == '2') {
                $vehicle = 1;
            } else {
                if($row['type_of_vehicle'] == '3'){
                    $vehicle = 2;
                }else{
                    if($row['Type of Vehicle'] == '4'){
                        $vehicle = 3;
                }
            }
            }
            
            if($row['attended_counselling'] == 'NOT ATTENDED'){
                $counselling = '0';
            }else{
                $counselling = '1';
            }
            if($row['payment_status'] == 'UNPAID'){
                $payment = '0';
            }else{
                $payment = '1';
            }

            $data['offence']['offence_type'] = '2';
            $data['offence']['offence_date'] = ''.$newDateFormat.''.$scape.''.$row['offence_time'].':20.420000';
            $data['offence']['violation'] = $row['violation'];
            $data['offence']['jurisdiction'] = $row['ps_juris'];
            $data['offence']['booked_psname'] = $row['booked_psname'];
            $data['offence']['point_name'] = $row['point_name'];
            // $data['offence']['challan_number'] = $row['challan_no'];
            $data['offence']['pettycase_no'] = $row['pettycase_no'];  
            $data['offence']['check_sl_no'] = $row['check_slno'];
            $data['offence']['conviction_particulars'] = $row['if_imprisonment_its_conviction_particulars'];        
            $data['offence']['conviction_from_date'] = $row['conviction_from_date'];        
            $data['offence']['conviction_to_date'] = $row['conviction_to_date'];
            $data['offence']['rising_details'] = $row['rising_details'];
            // $data['offence']['bac_count'] = $row['bac_count'];    
            // $data['offence']['remarks'] = $row['remarks'];                                  
            $data['offence']['status'] = 1;
            $data['offence']['attended_counselling'] = $counselling; 
            $data['offence']['payment_status'] = $payment;

            $data['vehicle']['number'] = $row['vehicle_no'];
            $data['vehicle']['type'] = $vehicle; 
            
            $data['officer']['emp_code'] = $row['booked_officer_id'];
            $data['officer']['name'] = $row['booked_officer_name'];
            $data['officer']['cadre'] = $row['booked_officer_cadre']; 
       
        // dd($data);
        Master_Respondant::create_or_update($data);
        
   return null;
    }
}
