<?php
namespace App\Master;
use Dompdf\Dompdf;
use File;

class Master_Pdf{
    
public static function convert_pdf($case_id){
    try{
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data);
        // return $data;
        $laws = $data['case_details']['respondant']['law_sections'];
        $law_sections = '';

        $law_185a = false;
        $law_181 = false;
        $law_180 = false; 

        foreach($laws as $law){
            $law_sections = $law['section'];
            if($law_sections  == '185(a)'){
                $law_185a = true;
            }
            if($law_sections  == '181'){
                $law_181 = true;
            }
            if($law_sections == '180'){
                $law_180 = true;
            }
        }
        
        if($law_185a == true && $law_181 == true && $law_180 ==true){
            $case_doc = 'case_dd_185a_181_180';
        }else{
            if($law_185a == true && $law_181 == true ){
                $case_doc = 'case_dd_185a_181';
                // return '185(a) , 181';
            }else{
                if($law_185a == true && $law_180 == true){
                    $case_doc = 'case_dd_185a_180';
                    // return '185(a) , 180';
                }else{
                if($law_185a == true){
                    $case_doc = 'case_dd_185a';
                    // return '185(a)';
                }else{
                    if($law_181 == true){

                        // return '181';
                    }else{
                        if($law_180 == true){
                            // return '180';
                        }
                    }
                }
            }
        }
    }

        // dd($case_doc);
        $html = view($case_doc,$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('legal', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function court_dd_generate_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('court_185a_181_180',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function surety_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
        //  return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('surety_form',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function docket_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('docket',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}
public static function dl_dd_receipt_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('dl_dd_receipt',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function dd1_form_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
        //  return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('dd1_form',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function dd2_form_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('dd2_form',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}
public static function wdl1_form_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('wdl1_form',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}
public static function wdl2_form_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('wdl2_form',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}
public static function dl_cellphone_receipt_pdf($case_id){

    try{
        // dd($case_id);
        $data['case_details'] = Master_OffenceCase::create_pdf($case_id);
        // dd($data); 
    //     // return $data;
    //     $laws = $data['case_details']['respondant']['law_sections'];
    //     $law_sections = '';

    //     $law_185a = false;
    //     $law_181 = false;
    //     $law_180 = false; 

    //     foreach($laws as $law){
    //         $law_sections = $law['section'];
    //         if($law_sections  == '185(a)'){
    //             $law_185a = true;
    //         }
    //         if($law_sections  == '181'){
    //             $law_181 = true;
    //         }
    //         if($law_sections == '180'){
    //             $law_180 = true;
    //         }
    //     }
        
    //     if($law_185a == true && $law_181 == true && $law_180 ==true){
    //         $case_doc = 'case_dd_185a_181_180';
    //     }else{
    //         if($law_185a == true && $law_181 == true ){
    //             $case_doc = 'case_dd_185a_181';
    //             // return '185(a) , 181';
    //         }else{
    //             if($law_185a == true && $law_180 == true){
    //                 $case_doc = 'case_dd_185a_180';
    //                 // return '185(a) , 180';
    //             }else{
    //             if($law_185a == true){
    //                 $case_doc = 'case_dd_185a';
    //                 // return '185(a)';
    //             }else{
    //                 if($law_181 == true){

    //                     // return '181';
    //                 }else{
    //                     if($law_180 == true){
    //                         // return '180';
    //                     }
    //                 }
    //             }
    //         }
    //     }
    // }
        // dd('hit');
        
        $html = view('dl_cellphone_receipt',$data)->render();
        // dd($html);
        $dompdf = new Dompdf(); 
        // dd($dompdf);       
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->load_html($html,'UTF-8');
        $dompdf->set_option('isRemoteEnabled', TRUE);
        $dompdf->set_option("isPhpEnabled", true);
        $dompdf->render();
        $x          = 505;
        $y          = 790;
        $text       = "Page "."{PAGE_NUM} of {PAGE_COUNT}";     
        $font       = $dompdf->getFontMetrics()->get_font('Arial', 'normal');   
        $size       = 7;    
        $color      = array(0,0,0);
        $word_space = 0.0;
        $char_space = 0.0;
        $angle      = 0.0;
        $dompdf->getCanvas()->page_text(
           $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
         );
    
        $output = $dompdf->output();
        // dd($output);
        // dd('hit');
       
    //    $path = env('SYSTEM_FILE_DIRECTORY');
        
    //     $document_pdf_name = 'documnet180a_'.time().'.pdf';
    //     $doc_path ='C:/Users/tusha/Downloads/';
        
        //  $pdf_path = self::create_file($output, $doc_path);
        //  dd($doc_path);
        
        // $output->move($doc_path,$document_pdf_name);
        // $result['code']=200;
        // $result['path']=$path;
        // $result['status']=$product_details;
         return $output;
        }
        catch(\Exception $e){
            // dd($e);
        }
}

public static function create_file($data,$file_path){
    // $excelName = time().'_'.$data->getClientOriginalName();
    // $data->move($file_path);
    File::put($file_path,$data);
    return true;
    // return $data;
}


}