<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Address extends Model
{
    use HasFactory;
    protected $table = 'addresses';
    protected $fillable =[  'respondant_id', 'address1', 'address2', 'city', 'pincode', 'state', 'address_type'];
    
    public function respondant(){
        return $this->belongsTo(Respondant::class);
    }
}
