<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LawSection extends Model
{
    use HasFactory;
    protected $table = 'law_sections';
    protected $fillable =[  'section', 'description','type'];

    public function respondant()
    {
        return $this->belongsToMany('App\Respondant','law_sections_respondants','respondants_id','law_sections_id');
    }
    public function scopeOfType($query, $type){
        return $query->where('type',$type);
    }
    public function scopeOfDDType($query){
        return $query->where('type','d')->orWhere('type','b');

    }
}
