<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Release extends Model
{
    use HasFactory;
    protected $table = 'releases';
    protected $fillable =['status', 'release_by', 'release_datetime','register_sl_no', 'sureties_id'];
    
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }
    public function surety(){
        return $this->belongsTo(Surety::class);
    }
}
