<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateChargeSheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('charge_sheets', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->date('date');
            $table->string('chargeSheet_no')->nullable();
            $table->string('constablename')->nullable();
            $table->string('officername')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('charge_sheets');
    }
}
