<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRespondantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('respondants', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('type');
            $table->string('name');
            $table->date('dob')->nullable();
            $table->integer('age');
            $table->integer('gender');
            $table->string('father_name')->nullable();
            $table->string('aadhar')->nullable();
            $table->string('mobile');
            $table->string('occupation')->nullable();
            $table->string('office_name')->nullable();
            // $table->unsignedBigInteger('law_section_id')->nullable();
            // $table->foreign('law_section_id')->references('id')->on('law_sections');
            $table->string('jail_tenure')->nullable();
            $table->integer('fine_amount')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('respondants');
    }
}
