<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePivotLawSectionsRespondantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::create('pivot_law_sections_respondants', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('respondant_id')->nullable();
            $table->foreign('respondant_id')->references('id')->on('respondants');
            $table->unsignedBigInteger('law_section_id')->nullable();
            $table->foreign('law_section_id')->references('id')->on('law_sections');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::dropIfExists('pivot_law_sections_respondants');
    }
}
