<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMinorFineJailToDisposalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('disposals', function (Blueprint $table) {
            //
            $table->string('minor_fine')->nullable()->after('r2_jail_tenure_in_days');
            $table->string('minor_court')->nullable()->after('minor_fine');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('disposals', function (Blueprint $table) {
            //
        });
    }
}
