@php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant']['address']['address1'];
}

@endphp
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
	<style>
        
		body{width: 666px;height:842px;padding:20px;border:1px solid;}
		.lfloat{float:left;}.rfloat{float:right;}.widthf{width:100%;}.hwidth{width:49%;}
		.header{height:130px;width:100%;}
        .dd{height:40px;}.ddsec{width:200px;}
		.ddcon{width:84%;height:40px;}.subdd{width:100px;}.datecon{width:15%;}
		.to{margin:10px 0 0 0;}.name{height:60px;}.name,.sign{text-align:center;}
		.sub,.mtr{margin:15px 0;}.sir{margin:10px 0;}.signcon{height:50px;}.tys,.phn{margin:10px 0;}
		.rs{margin:40px 0 0 0;}.type{height:30px;text-align:center;line-height:30px;}
	</style>
</head>
<body>
	<div class="widthf" style="height:60px;text-align:center;font-weight:bold;" >
	UNDERTAKING FORM FOR RELEASING OF VEHICLE IN DRUNK AND DRIVE CASE							
	</div>
<div class="widthf" style="height:100px;text-align:justify;line-height:25px;margin:0 0 30px 0 ;" >
    I, {{@$case_details['respondant']['name']}}, S/o. {{@$case_details['respondant']['father_name']}}, Age: {{@$case_details['respondant']['age']}}Yrs, Occ: {{@$case_details['respondant']['occupation']}}, R/o.{{@$address}}, Contact No. {{@$case_details['respondant']['mobile']}} 
    Owner of vehicle Br. No. {{@$case_details['vehicle']['number']}} informing that I was caught in  Drunk and Drive 
	Offence i.e. On {{@$date}} Vide Challan No. {{@$case_details['challan_number']}} with Blood Alcohol reading {{@$case_details['bac_count']}}% mg / 100ml.									
</div>

<div class="widthf" style="height:100px;text-align:justify;line-height:25px;margin:0 0 30px 0 ;" >
Today i.e. on  07.09.2021 I am taking the custody of my vehicle back from  Alwal Traffic Police at 1651hrs., 
with an undertakin that I assure to Cyberabad Traffic Police that, I will attend the court on such date and 
time as intimated  to me by the Police without fail. I would be liable for any legal consequences.		
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
Date: 	
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
<div class="rfloat" style="height:40px;line-height:40px;font-weight:bold;text-align:center;width:450px;" >
Signature of the Owner/Rider__________________
</div>
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;margin:10px 0;" >
Enclosed: ORIGINAL DL  &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;BR.NO {{@$case_details['respondant']['driving_license']['number']}}
</div>

<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
To 	
</div>
<div class="widthf" style="height:60px;font-weight:bold;" >
Station House Officer,<br>
Alwal TRaffic Police,<br>
Cyberabad. 	
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
Surety Particulars 	
</div>
<div class="widthf" style="height:120px;" >
<div class="hwidth lfloat" style="height:120px;">
{{@$case_details['respondant']['name']}}<br>
s/o :{{@$case_details['respondant']['father_name']}}<br>
occ :{{@$case_details['respondant']['occupation']}}<br>
r/o :{{@$address}}<br>
phone : {{@$case_details['respondant']['mobile']}}<br>
</div>
<div class="hwidth rfloat" style="height:120px;">
<div class="widthf" style="height:60px;line-height:60px;" >Signature:_________________</div>
<div class="widthf" style="height:60px;line-height:60px;" >Date:____________________</div>
</div>
</body>
</html>