@php
use Carbon\Carbon;
use App\Master\Master_Pdf;
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
         *{margin:0;padding:0;box-sizing: border-box;}
         body{width:100%;height:100%;padding:20px;box-sizing: border-box;}
        .width{width:100%;}.halfwidth{width:50%}
        .tall{text-align:left;}.talr{text-align:right;}.talcen{text-align:center;}
        .con{width:100%;height:100%;border:1px solid black;}
		.fl{float:left;}
        .container{width:100%;height:100%;padding:20px;}
        .cell{}
        .subhead{font-weight:bold;margin:10px 0;}
		.singlerow{height:40px;line-height:40px;}
		.bordertbl{border-top:1px solid;border-bottom:1px solid;border-left:1px solid;}
		.borderlb{border-bottom:1px solid;border-left:1px solid;}
		.borderrb{border-right:1px solid;border-bottom:1px solid;}
		.borderr{border-right:1px solid;}.borderb{border-bottom:1px solid;}
        .tablecontainer{height:100px;}
		.cone{width:5%;padding:0 10px;}.ctwo{width:40%;}.cthree{width:55%;height:100%;}
        table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
  height:30px;
}
    </style>
</head>
<body style="width: 752px;height:842px;";>
<div class="cell width talr">
    <div class="stc">Stc No.___________/2021</div>
</div>

<div class="subhead width talcen">PETTY CASE CHARGE SHEET</div>

<div class="caseno width casepadding" style="height:30px;">
    <div class="pcaseno tall halfwidth fl">PETTY CASE NO._________</div>
    <div class="seccase talr halfwidth fl">U/s. 185(a) OF M.V ACT</div>
</div>


<table style="width:100%;">
  <tr>
    <td style="width:60px;text-align:center;">1</td>
    <td style="width:350px;padding:0 20px;">Consecutive No.</td>
    <td></td>
  </tr>
  <tr>
    <td rowspan="7" style="width:60px;text-align:center;">2</td>
    <td style="width:350px;padding:0 20px;">Name of the Person Charged </td>
    <td ></td>
  </tr>
  <tr>
  <td style="width:350px;padding:0 20px;">S/o</td>
  <td></td>
  </tr>
  <tr>
  	<td style="width:350px;padding:0 20px;">Occupation</td>
    <td ></td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">R/o</td>
    <td ></td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">Phone No.</td>
    <td ></td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Aadhar No.</td>
    <td></td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Driving License No.</td>
    <td ></td>
  </tr>
  <tr>
    <td rowspan="6" style="width:60px;text-align:center;">3</td>
    <td rowspan="6" style="width:350px;padding:0 20px;">Owner of the Vehicle</td>
    <td></td>
  </tr>
    <tr>
    <td ></td>
  </tr>
    <tr>
    <td ></td>
  </tr>
    <tr>
    <td ></td>
  </tr>
    <tr>
    <td ></td>
  </tr>
    <tr>
    <td ></td>
  </tr>  
  <tr>
  <td style="width:60px;text-align:center;">4</td>
  <td style="width:350px;padding:0 20px;">When Checked</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">5</td>
  <td style="width:350px;padding:0 20px;">When Bailed</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">6</td>
  <td style="width:350px;padding:0 20px;">Place</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">7</td>
  <td style="width:350px;padding:0 20px;">Date on Which put up before magistrate Dated</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">8</td>
  <td style="width:350px;padding:0 20px;">Remarks</td>
  <td ></td>
  </tr>
</table>

<div style="width:100%;text-align:center;margin:10px 0;"><b>IN THE HON`BLE COURT OF VII SPECIAL METROPOLITAN MAGISTRATE MEDCHAL</b></div>

<div style="width:100%;margin:0 0 5px 0;">Honoured Sir,</div>
<div style="width:100%;margin:0 0 5px 0;">BRIEF FACTS OF THE</div>
<div style="width:100%;margin:0 0 10px 0;font-size:14px;">
Brief facts of the case are that, On 12.08.2021 at about 16:21HRS., while the LW-2 conducting 
“Enforcement against Drunk Driving” at TUMKUNTA Y JUNCTION and stopped one motor Cycle/Car/Auto/Goods Vehicle bearing No. {{@$case_details['vehicle']['number']}} 
with the help of LW-1. The respondent, who was the driver of vehicle Mr./Mrs. TUNGA SURESH, S/o. KISTAIAH, Age: 36Yrs., Occ: TODDY TAPPER,
R/o. 7-100/1-2, AKUNOOR, CHERIAL MANDAL, WARANGAL., was subjected to alcohol test with Breath Analyzer device by LW-2. 
The printed result of the test shown the BAC (Blood Alcohol Content) level as 230 mg/ 100 ml of blood, 
which has exceeded the permissible BAC level of 30mg/100 ml as mentioned in section 185(a) of MV act. 
Photographs were taken while conducting the breath test. The LW-2 obtained the signature of the respondent-1 on the result slip as well as on the MV Act challan receipt. 
Under the above circumstances, the BAC levels established that the respondent consumed alcohol more than the permissible limits and was driving. 
As such, allowing the respondent- 1 to drive the vehicle was not advisable in view of public safety as well as the respondent- 1 himself. 
Thus, in good faith and as the respondent-1 was not carrying the documents, LW-2 detained the vehicle. 
The respondent was provided with the original Breath Analyzer test result and the original MV Act challan receipt and was informed to appear before the Hon’ble Court.
</div>
<div style="width:100%;margin:0 0 40px 0;">
Later , it was found out that, the respondent-I  does not possess a valid DL at all the and he was the drivin the vehicle unauthorisedly in violation of the provisioins of Sec. 181 of the MV Act., 1988.
</div>
<table style="width:100%;">
  <tr>
    <th>S.no</th>
    <th>Violation/Offence</th> 
    <th>Date</th>
    <th>Penalty</th>
    <th>Status</th>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
</table>


<div style="width:100%;margin:0 0 40px 0;">
Thus, in this back ground, it is clear that the Respondents 1 and 2 are liable ofr punishment for the offences as follows:
</div>

<div style="width:100%;margin:0 0 40px 0;">Respondent Punishable U/s. 185, 181 of the MV Act., 1988.</div>

<div style="width:100%;margin:0 0 10px 0;">List Of Witnesses:</div>
<div style="width:100%;margin:0 0 10px 0;">LW-1, Sri. M. Gopal Reddy, PC 4280 of Alwal Traffic PS</div>
<div style="width:100%;margin:0 0 10px 0;">LW-2, Sri.Rajashekar Reddy, Inspector of Police, Alwal Traffic PS</div>

<div style="width:100%;margin:0 0 10px 0;">List of Documents enclosed:</div>
<div style="width:100%;margin:0 0 10px 0;">1.BAC Level Slip of Breath Analyzer</div>


<div style="float:rigth;text-align:center;width:260px;bottom:0;margin:100px 0 0 480px;">Station House Officer Alwal Traffic PS Cyberabad</div>
</body>
</html>







