@php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant_owner']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant_owner']['address']['address1'];
}
if($case_details['respondant']['address'] == null){
    $res_address = '';
}else{
    $res_address = $case_details['respondant']['address']['address1'];
}
$vehicle = $case_details['vehicle']['number'];
$dl = $case_details['respondant']['driving_license']['number'];
@endphp<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
	<style>
        
		body{width: 666px;height:842px;padding:20px;border:1px solid;}
		.lfloat{float:left;}.rfloat{float:right;}.widthf{width:100%;}.hwidth{width:49%;}
		.header{height:130px;width:100%;}
        .dd{height:40px;}.ddsec{width:200px;}
		.ddcon{width:84%;height:40px;}.subdd{width:100px;}.datecon{width:15%;}
		.to{margin:10px 0 0 0;}.name{height:60px;}.name,.sign{text-align:center;}
		.sub,.mtr{margin:15px 0;}.sir{margin:10px 0;}.signcon{height:50px;}.tys,.phn{margin:10px 0;}
		.rs{margin:40px 0 0 0;}.type{height:30px;text-align:center;line-height:30px;}
	</style>
</head>
<body>
	<div class="widthf" style="height:40px;text-align:center;font-weight:bold;" >
	UNDERTAKING FORM FOR RELEASING OF VEHICLE IN DRUNK AND DRIVE CASE							
	</div>
<div class="widthf" style="height:150px;text-align:justify;line-height:25px;margin:0 0 30px 0 ;" >
I, {{$case_details['respondant_owner']['name']}}, S/o. {{$case_details['respondant_owner']['father_name']}}, Age:{{$case_details['respondant_owner']['age']}} , Occ: {{$case_details['respondant_owner']['occupation']}},R/o. {{$address}}.,
Contact No. {{$case_details['respondant_owner']['mobile']}} Owner of Vehicle Br. No. {{$vehicle}} Informing that, my vehicle was driven by Mr./Mrs. {{$case_details['respondant']['name']}},
 S/o. {{$case_details['respondant']['father_name']}}, Age: {{$case_details['respondant']['age']}}, Occ: {{$case_details['respondant']['occupation']}}, R/o. {{$res_address}}., Contact No. {{$case_details['respondant']['mobile']}} and 
 caught in Without Driving License Offence i.e. on  {{$date}}, vide Challan No. {{$case_details['challan_number']}} .
</div>

<div class="widthf" style="height:100px;text-align:justify;line-height:25px;margin:0 0 30px 0 ;" >
Today i.e. on  07.09.2021  I, am taking the custody of my vehicle back from  Alwal Trafic Police at 1651hrs., 
with an undertaking that, I assure to Cyberabad  Traffic Police that, I will produce before Hon'ble court to said person
who caught in  DD case on such date and time as intimated  to me by the Police without fail.  Otherwise, I would be liable 
for any legal consequences.
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
Date: 	
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;margin:0 0 10px 0 ;" >
<div class="rfloat" style="height:40px;line-height:40px;font-weight:bold;text-align:center;width:450px;" >
Signature of the Owner__________________
</div>
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;margin:0 0 10px 0 ;" >
<div class="rfloat" style="height:40px;line-height:40px;font-weight:bold;text-align:center;width:450px;" >
Signature of the Rider__________________
</div>
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
Enclosed: ORIGINAL DL  &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;BR.NO 
</div>

<div class="widthf" style="height:20px;font-weight:bold;line-height:20px;" >
To 	
</div>
<div class="widthf" style="height:60px;font-weight:bold;" >
Station House Officer,<br>
Alwal TRaffic Police,<br>
Cyberabad. 	
</div>
<div class="widthf" style="height:40px;font-weight:bold;line-height:40px;" >
Surety Particulars 	
</div>
<div class="widthf" style="height:120px;" >
<div class="hwidth lfloat" style="height:120px;">
{{$case_details['respondant']['name']}}<br>
s/o :{{$case_details['respondant']['father_name']}}<br>
occ :{{$case_details['respondant']['occupation']}}<br>
r/o :{{$res_address}}<br>
phone : {{$case_details['respondant']['mobile']}}<br>
</div>
<div class="hwidth rfloat" style="height:120px;">
<div class="widthf" style="height:40px;line-height:40px;" >Signature:_________________</div>
<div class="widthf" style="height:40px;line-height:40px;" >Date:____________________</div>
</div>
</div>
<div class="widthf" style="height:60px;" >	
		<div class="hwidth rfloat"style="height:60px;" >
		<div class="type widthf">DD</div>
		<div class="type widthf">3470/2021</div>
		</div>
		<div class="hwidth lfloat" style="height:60px;">
		<div class="type widthf">{{$date}}</div>
		<div class="type widthf">{{$vehicle}}</div>
		</div>
		
	</div>
	<div class="widthf" style="height:60px;" >	
	<div class="hwidth lfloat" style="height:60px;">
		<div class="type widthf">{{$case_details['respondant']['name']}}<br>
s/o :{{$case_details['respondant']['father_name']}}<br>
occ :{{$case_details['respondant']['occupation']}}<br>
r/o :{{$address}}<br>
phone : {{$case_details['respondant']['mobile']}}<br></div>
		</div>
</div>
</body>
</html>