<?php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant_owner']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant_owner']['address']['address1'];
}
if($case_details['respondant']['address'] == null){
    $res_address = '';
}else{
    $res_address = $case_details['respondant']['address']['address1'];
}
$vehicle = $case_details['vehicle']['number'];
$dl = $case_details['respondant']['driving_license']['number'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
	<style>
        
		body{width: 666px;height:842px;padding:20px;border:1px solid;}
		.lfloat{float:left;}.rfloat{float:right;}.widthf{width:100%;}.hwidth{width:49%;}
		.header{height:130px;width:100%;}
        .dd{height:40px;}.ddsec{width:200px;}
		.ddcon{width:84%;height:40px;}.subdd{width:100px;}.datecon{width:15%;}
		.to{margin:10px 0 0 0;}.name{height:60px;}.name,.sign{text-align:center;}
		.sub,.mtr{margin:15px 0;}.sir{margin:10px 0;}.signcon{height:50px;}.tys,.phn{margin:10px 0;}
		.rs{margin:40px 0 0 0;}.type{height:30px;text-align:center;line-height:30px;}
	</style>
</head>
<body>
	<div class="widthf" style="height:60px;text-align:center;font-weight:bold;" >Police Department<br>
Cyberabad Police Commissionerate<br>
Alwal Traffic Police Station<br>							
								
</div>
<div class="widthf" style="height:40px;text-align:center;text-decoration:underline;" >
Acknowledgement for seizure of Driving License as per Supreme Court <br>Committee Guidelines on Road Safety								
								
</div>
<div class="widthf" style="height:100px;text-align:justify;line-height:25px;" >
      &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;It is to inform that Mr./Mrs. <?php echo e(@$case_details['respondant']['name']); ?> S/o. <?php echo e(@$case_details['respondant']['father_name']); ?> 
	  who is the holder of the Driving License No. $dl was found by committing offence of  CELL PHONE DRIVING 
	  i.e. On.  <?php echo e(@$date); ?> at the place  TUMKUNTA Y JUNCTION while driving a vehicle Br. No. <?php echo e(@$vehicle); ?>. Inorder, a case has
	  been booled vide Challan No. <?php echo e(@$case_details['challan_number']); ?> by Traffic Police Alwal, Cyb.							
</div>

<div class="widthf" style="height:100px;text-align:justify;line-height:25px;" >
Hence, as per the provisions, as per Supreme Court Committee Guidelines on Road Safety the
 above Driving License has been seized by the undersigned for  onward transmission to the 
 Licensing authority (RTO_______________) for necessary action U/s 19 of the Motor Vehicles Act, 1988.		
</div>
<div class="widthf" style="height:40px;font-weight:bold;" >
“THIS ACKNOWLEDGEMENT SHALL NOT AUTHORISE THE HOLDER TO DRIVE ANY VEHICLE”.	
</div>
<div class="widthf" style="height:40px;font-weight:bold;" >
Date: 	
</div>
<div class="widthf" style="height:40px;font-weight:bold;" >
Place: 	
</div>
<div class="widthf" style="height:60px;font-weight:bold;" ></div>
<div class="hwidth rfloat" style="height:40px;font-weight:bold;text-align:center;margin:10px 0 0 0;" >
Signature
</div>

</body>
</html><?php /**PATH /var/www/html/traffic_api/resources/views/dl_cellphone_receipt.blade.php ENDPATH**/ ?>