<?php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant_owner']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant_owner']['address']['address1'];
}
if($case_details['respondant']['address'] == null){
    $res_address = '';
}else{
    $res_address = $case_details['respondant']['address']['address1'];
}
$vehicle = $case_details['vehicle']['number'];
$dl = $case_details['respondant']['driving_license']['number'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
	<style>
        
		body{width: 666px;height:842px;padding:20px;border:1px solid;}
		.lfloat{float:left;}.rfloat{float:right;}.widthf{width:100%;}.hwidth{width:49%;}
		.header{height:130px;width:100%;}
        .dd{height:40px;}.ddsec{width:200px;}
		.ddcon{width:84%;height:40px;}.subdd{width:100px;}.datecon{width:15%;}
		.to{margin:10px 0 0 0;}.name{height:60px;}.name,.sign{text-align:center;}
		.sub,.mtr{margin:15px 0;}.sir{margin:10px 0;}.signcon{height:50px;}.tys,.phn{margin:10px 0;}
		.rs{margin:40px 0 0 0;}.type{height:30px;text-align:center;line-height:30px;}
	</style>
</head>
<body>
<div class="header">
	<div class="dd widthf">
	<div class="lfloat ddcon">
        <div class="subdd">
	<div class="lfloat ddsec">DD</div>
	<div class="rfloat">3470/2021</div>
	</div>
    </div>
	<div class="rfloat datecon">Date</div>
	</div>
	 <div class="to widthf">
	To<br>
	The Inspector of Police,<br>
	Alwal Tr. Police Station,<br>
	Cyberabad. 
	</div>
	</div>
    <div class="widthf sir">
	Sir,
	</div>
	<div class="widthf  sub">
	Sub:- Submission of request to release the seized vehicle on my surety on production of original documents - Reg.							

	</div>
	
	<div class="widthf mtr">
	With reference to the above cited subject, I am RANAM PRASHANTH, S/O. GANAPATHI, OCC: AGRICULTURE, R/O. 11-42, AKUNOOR, WARANGAL. do you hereb solemnly affirm and state on oath as fallows:
	</div>
    <div class="widthf mtr">
	My relative/friend/brother/known person by name <?php echo e(@$case_details['respondant']['name']); ?>  <?php echo e(@$case_details['respondant']['mobile']); ?> while driving his vehicle br. no. <?php echo e(@$vehicle); ?> temporarily detained by Alwal Traffic Police on <?php echo e(@$date); ?> due to DD and kept in the premises of PS Alwal Traffic.
	</div>
	<div class="widthf mtr">
	Further I submitting that, I am fully responsible to the concerned authorities and I will produce myself along with above said person before Hon’Ble court directed by the authority.
	</div>
	<div class="widthf mtr">
	Hence, I am requesting the Kind authority, kindly handover the seized vehicle on my surety.
	</div>
	
	<div class="widthf tys" >
	Thanking you Sir,
	</div>
	<div class="widthf" style="height:150px;" >	
		<div class="hwidth lfloat"style="height:150px;" >
		<div class="widthf" >
	VEHICLE OWNER PARTICULARS
	</div>
	<div class="widthf signcon" >
	
	</div>
	<div class="widthf" >
	Signature: 
	</div>
	<div class="widthf" >
	
	</div>
	<div class="widthf" >
	REFERENCE IF ANY 
	</div>
	<div class="widthf signcon" >
	0
	</div>
		</div>
		<div class="hwidth rfloat" style="height:150px;">
		<div class="widthf yff" >
	Yours faithfully, 
	</div>
	<div class="widthf phn" >
	<?php echo e(@$case_details['respondant']['mobile']); ?>

	</div>
	<div class="widthf rs" >
	RIDER SIGNATURE 
	</div>
	<div class="widthf signcon" >
	
	</div>
		</div>
		
	</div>
	<div class="widthf tys" >
	ENCLOSED :ORIGINALS
	</div>
	<div class="widthf tys" >
	DL
	</div>
	<div class="widthf" style="height:60px;" >	
		<div class="hwidth lfloat"style="height:60px;" >
		<div class="type widthf">DD</div>
		<div class="type widthf">3470/2021</div>
		</div>
		<div class="hwidth rfloat" style="height:60px;">
		<div class="type widthf"></div>
		<div class="type widthf"></div>
		</div>
		
	</div>
	<div class="widthf" style="height:60px;margin:20px 0 0 0;" >	
	<div class="hwidth rfloat" style="height:60px;">
		<div class="type widthf"><?php echo e(@$case_details['respondant']['name']); ?><br>
s/o :<?php echo e(@$case_details['respondant']['father_name']); ?><br>
occ :<?php echo e(@$case_details['respondant']['occupation']); ?><br>
r/o :<?php echo e(@$address); ?><br>
phone : <?php echo e(@$case_details['respondant']['mobile']); ?><br></div>
		</div>
</div>
	<div class="widthf tys" >
	LOCATION	:
	</div>
	<div class="widthf tys" >
	ROW NO		:
	</div>
	<div class="widthf tys" >
	SL NO 		:
	</div>
</body>
</html><?php /**PATH /var/www/html/traffic_api/resources/views/surety_form.blade.php ENDPATH**/ ?>