<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
// use Excel;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\OldcasesImport;
use App\Imports\OffenceCaseImport;


class OldcasesController extends Controller
{
    //
    public function importView(){
        return view('import');
    }

    public function export(){
        return Excel::download(new OldcasesExport, 'oldcase.xlsx');
    }

    public function import(Request $request){
          Excel::import(new OldcasesImport,request()->file('file'));
          return back();
    }

    public function importother(Request $request){
        Excel::import(new OffenceCaseImport,request()->file('file'));
        return back();
    }
}
