<?php
namespace App\Master;
use App\Models\LawSection;
use App\Models\Respondant;
use App\Master\Master_Respondant;

class Master_LawSection{
    public static function create_or_update($data,$object=false){
        $LawSection_details = LawSection::updateOrCreate(
            ['id'=> @$data['id']],
            $data
        );
        return $LawSection_details;
    }

    public static function json_create_or_update($Request,$object = false){
        $ocase = $Request->json()->all();
        $resp = self::create_or_update($ocase);
        return $resp;
    }
    public static function json_update_lawsection($data){
    //  return $data;

        $response = Master_Respondant::json_create_or_update($data);
        return $response;
    }

    public static function get_drunk_drive_lawsection(){
        $dd_lawsection = LawSection::ofDDType()->get();
        return $dd_lawsection;
    }

    public static function get_other_lawsection(){
        $other_lawsection = LawSection::ofType('b')->get();
        return $other_lawsection;
    }
}