<?php
namespace App\Master;
use DB;
use App\Models\OffenceCase;
use App\Models\Release;
use App\Master\Master_Vehicle;
use App\Exports\UsersExport;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\CaseExport;


class Master_OffenceCase{
    public static function create_or_update($data,$object=false){
        // dd($data['violation']);
        
        $OffenceCase_details = OffenceCase::updateOrCreate(
            ['id'=> @$data['id']],
            $data
        );
        if(isset($data['respondant'])){
          $csdata = $data['respondant'];
          $respondant_details = Master_Respondant::create_or_update($csdata);
            $respondant_details->offence_case()->save($OffenceCase_details);
        }

        if(isset($data['respondant_owner'])){
          $csdata = $data['respondant_owner'];
          $respondant_owner_details = Master_Respondant::create_or_update($csdata);
            $respondant_owner_details->offence_owner()->save($OffenceCase_details);
        }
        
        // if(isset($data['driving_license'])){
        //   $csdata = $data['driving_license'];
        //   $respondant_owner_details = Master_Respondant::create_or_update($csdata);
        //     $respondant_owner_details->offence_owner()->save($OffenceCase_details);
        // }
        if(isset($data['charge_sheet'])){   
            $csdata = $data['charge_sheet'];
          $chargesheet_details = Master_ChargeSheet::create_or_update($csdata);
            $chargesheet_details->offence_case()->save($OffenceCase_details);
        }
        if(isset($data['vehicle'])){   
            $vdata = $data['vehicle'];
            $vdata = (array) $vdata;
          $vehicle_details =   Master_Vehicle::create_or_update($vdata);
          $vehicle_details->offence_case()->save($OffenceCase_details);
        }
        if(isset($data['parking'])){   
            $pdata = $data['parking'];
          $parking_details =   Master_Parking::create_or_update($pdata);
          $parking_details->offence_case()->save($OffenceCase_details);
        }
        if(isset($data['release'])){   
            $rdata = $data['release'];
          $release_details =   Master_Release::create_or_update($rdata);
          $release_details->offence_case()->save($OffenceCase_details);
        }
        if(isset($data['surety'])){   
            $rdata = $data['surety'];
            // dd($rdata);
          $surety_details =   Master_Surety::create_or_update($rdata);
          $surety_details->release()->save($release_details);
         }
        
        if(isset($data['officer'])){   
            $rdata = $data['officer'];
          $officer_details =   Master_Officer::create_or_update($rdata);
          $officer_details->offence_case()->save($OffenceCase_details);
        }
        if(isset($data['disposal'])){   
            $rdata = $data['disposal'];
          $disposal_details =   Master_Disposal::create_or_update($rdata);
          $disposal_details->offence_case()->save($OffenceCase_details); 
        }

       
        return $OffenceCase_details;
    }

    public static function json_create_or_update($Request,$object = false){
      $ocase = $Request->json()->all();
      // dd($ocase);
      $resp = self::create_or_update($ocase);
      return $resp;
  }
 


  public static function create_pdf($id){
    // dd($id);
    //  DB::enableQueryLog();
        $casedetails = OffenceCase::with('vehicle','respondant','respondant.law_sections','respondant.address','respondant.driving_license','respondant_owner','respondant_owner.law_sections','respondant_owner.address','respondant_owner.driving_license','parking','disposal','release','release.surety','charge_sheet','charge_sheet.constable','charge_sheet.officer','officer')->where('id',"=", $id)->first();
        return $casedetails ;
  }

  public static function create_excel() 
{
  // return 'hello this master';
    return Excel::download(new CaseExport, 'cases.xlsx');
}  
}