<?php
namespace App\Master;
use DB;
use App\Models\Officer;

class Master_Officer{

    public static function create_or_update($data,$object=false){
        $code = $data['emp_code'];
        // dd($code); 
        $id = Officer::where('emp_code', $code)->value('id');  
        if($id != ''){
            $officer = Officer::findOrFail($id);
            return $officer;
        }else{
            $officer_details = Officer::updateOrCreate(
                ['id'=> @$data['id']],
                $data
            );
            return $officer_details;
        }
}

    public static function json_create_or_update($Request,$object=false){
        $data = $Request->json()->all();
        $officer_details = self::create_or_update($data);
        return $officer_details;
    }

    public static function get_filling_offficer(){
        $filling_officer = Officer::ofFillingOfficer()->get();
        return $filling_officer;
    }
    public static function get_court_constable(){
        $constable = Officer::ofConstable()->get();
        return $constable;
    }
}