<?php
namespace App\Master;
use App\Models\Respondant;
use App\Master\Master_LawSection;
use App\Master\Master_Vehicle;
use App\Master\Master_Officer;
use App\Models\LawSection;

class Master_Respondant{
        public static function create_or_update($data,$object = false){
         
           $respondant_details  = Respondant::updateOrCreate(['id'=> @$data['id']],$data);


           
            if(isset($data['responant_owner'])){
              if($data['name'] != $data['responant_owner']['name']){
              $ownerdata = $data['respondant_owner'];
              $owner_details = Respondant::updateOrCreate(['id'=> @$ownerdata['id']],$ownerdata); 
              if(isset($data['offence'])){   
                  $csdata = $data['offence'];
                  $OffenceCase_details = Master_OffenceCase::create_or_update($csdata);
                  $respondant_details->offence_case()->save($OffenceCase_details);
                  $owner_details->offence_owner()->save($OffenceCase_details);
        
              }
             }
           }
            if(isset($data['offence'])){   
              $csdata = $data['offence'];
              $OffenceCase_details = Master_OffenceCase::create_or_update($csdata);
              $respondant_details->offence_case()->save($OffenceCase_details);
              $respondant_details->offence_owner()->save($OffenceCase_details);
        
              }
              if(isset($data['law_sections'])){
                $laws = $data['law_sections'];
                    foreach($laws as $law) {
                      $law_id = $law['id'];
                      $respondant_detail = Respondant::find($respondant_details->id);
                      $respondant_detail->law_sections()->attach($law_id);
                    }
              }
                //Address Data
              if(isset($data['address'])){   
                $addressdata = $data['address'];
                $add =   Master_Address::create_or_update($addressdata);
                $respondant_details->Address()->save($add);
              }
              //Driving License Data
        if(isset($data['driving_license'])){   
            $dldata = $data['driving_license'];
          $dl =   Master_DrivingLicense::create_or_update($dldata);
          $respondant_details->driving_license()->save($dl);
        }

        if(isset($data['address_owner'])){   
          $addressdata = $data['address_owner'];
        $add =   Master_Address::create_or_update($addressdata);
        $owner_details->Address()->save($add);
      }
       if(isset($data['officer'])){
        $odata = $data['officer'];
        $officer = Master_Officer::create_or_update($odata);
        $officer->offence_case()->save($OffenceCase_details);
      }
      if(isset($data['court'])){
        $cdata = $data['court'];
        $court = Master_Court::create_or_update($odata);
        $court->offence_case()->save($OffenceCase_details);
      }

      if(isset($data['chargesheet'])){   
          $csdata = $data['chargesheet'];
        $add = Master_ChargeSheet::create_or_update($csdata);
          $add->offence_case()->save($OffenceCase_details);
      //   $OffenceCase_details->chargesheet()->save($add);
      }
      if(isset($data['vehicle'])){   
          $vdata = $data['vehicle'];
        $add =   Master_Vehicle::create_or_update($vdata);
        $add->offence_case()->save($OffenceCase_details);
        //$OffenceCase_details->vehicle()->save($add);
      }
      if(isset($data['parking'])){   
          $pdata = $data['parking'];
        $add =   Master_Parking::create_or_update($pdata);
        $add->offence_case()->save($OffenceCase_details);
        //$OffenceCase_details->parking()->save($add);
      }
      if(isset($data['release'])){   
          $rdata = $data['release'];
        $add =   Master_Release::create_or_update($rdata);
        $add->offence_case()->save($OffenceCase_details);
        //$OffenceCase_details->release()->save($add);
      }
     

      if(isset($data['disposal'])){   
          $rdata = $data['disposal'];
        $add =   Master_Disposal::create_or_update($rdata);
        $add->offence_case()->save($OffenceCase_details);
        //$OffenceCase_details->officer()->save($add);
      }
         }
        

         
       

    public static function json_create_or_update($Request,$object = false){
      $ocase = $Request->json()->all();
      $resp = self::create_or_update($ocase);
      return $resp;
  }

  public static function json_create_or_update_upload($Request,$object = false){
    // $ocase = $Request->json()->all();
    $resp = self::create_or_update($Request);
    return $resp;
}
}