<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Disposal extends Model
{
    use HasFactory;
    protected $table = 'disposals';
    protected $fillable =['type', 'date_of_disposal', 'stc_number','r1_fine','r1_jail_tenure_in_days','r2_fine','r2_jail_tenure_in_days','minor_fine','minor_court'];
    

    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }
}
