<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DrivingLicense extends Model
{
    use HasFactory;
    protected $table = 'driving_licenses';
    protected $fillable =[ 'respondant_id', 'number', 'type','rta_officer', 'issue_date', 'expiry_date', 'issued_rta'];
    
    public function respondant(){
        return $this->belongsTo(Respondant::class);
    }
}
