<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Parking extends Model
{
    use HasFactory;
    protected $table = 'parkings';
    protected $fillable =[ 'date', 'place', 'row', 'slot'];
    
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }
}
