<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Searchable\Searchable;
use Spatie\Searchable\SearchResult;

class Vehicle extends Model implements Searchable
{
    use HasFactory;
    protected $table = 'vehicles';
    protected $fillable =['number', 'type'];
    
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }
    public function getSearchResult() :SearchResult
    {
        $url="";
        return new SearchResult($this,$this->number,$url);
    }
}
