<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFineJailToDisposalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('disposals', function (Blueprint $table) {
            //
            $table->double('r1_fine')->nullable()->after('stc_number');
            $table->integer('r1_jail_tenure_in_days')->nullable()->after('r1_fine');
            $table->double('r2_fine')->nullable()->after('r1_jail_tenure_in_days');
            $table->integer('r2_jail_tenure_in_days')->nullable()->after('r2_fine');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('disposals', function (Blueprint $table) {
            //
        });
    }
}
