<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddWitnessToOffenceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offence_cases', function (Blueprint $table) {
            //
            $table->string('witness_one')->nullable()->after('disposal_id');
            $table->string('witness_two')->nullable()->after('witness_one');
            $table->string('witness_three')->nullable()->after('witness_two');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offence_cases', function (Blueprint $table) {
            //
        });
    }
}
