@php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant_owner']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant_owner']['address']['address1'];
}
if($case_details['respondant']['address'] == null){
    $res_address = '';
}else{
    $res_address = $case_details['respondant']['address']['address1'];
}
$vehicle = $case_details['vehicle']['number'];
$res_dl = $case_details['respondant']['driving_license']['number'];
$own_dl = $case_details['respondant_owner']['driving_license']['number']; 
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
         *{margin:0;padding:0;box-sizing: border-box;}
         body{width:100%;height:100%;padding:20px;box-sizing: border-box;}
        .width{width:100%;}.halfwidth{width:50%}
        .tall{text-align:left;}.talr{text-align:right;}.talcen{text-align:center;}
        .con{width:100%;height:100%;border:1px solid black;}
		.fl{float:left;}
        .container{width:100%;height:100%;padding:20px;}
        .cell{}
        .subhead{font-weight:bold;margin:10px 0;}
		.singlerow{height:40px;line-height:40px;}
		.bordertbl{border-top:1px solid;border-bottom:1px solid;border-left:1px solid;}
		.borderlb{border-bottom:1px solid;border-left:1px solid;}
		.borderrb{border-right:1px solid;border-bottom:1px solid;}
		.borderr{border-right:1px solid;}.borderb{border-bottom:1px solid;}
        .tablecontainer{height:100px;}
		.cone{width:5%;padding:0 10px;}.ctwo{width:40%;}.cthree{width:55%;height:100%;}
        table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
  height:30px;
}
    </style>
</head>
<body style="width: 752px;height:842px;";>
  
  <div class="" style="height: 80px;">
        <div class="" style="float: left;width: 80%;height: 90px;"> IN THE COURT OF THE VII SPL II CLASS<br>
            METROPOLITAN MAGISTRATE,<br>
            CYBERABAD AT MEDCHAL.
        </div>
        <div class="" style="float: right;width:20%;margin:0 0 10px 0;">

            <div style="float: left;width:50px;height:40px;">DD</div>
            <div style="float: right; border: 1px solid;width:90px;height:40px;">
            <div style="width:90px;text-align: center;border-bottom: 1px solid;">230 %</div>
            <div class="border" style="width:90px;text-align: center;">100</div>    
        </div>

        </div>
        
    </div>
    <div style="width:130px;float:right;">DATE:</div>
    <div style="width: 666px;margin:10px 0;">S.T.C NO:-___________/2021</div>
    <div style="width: 666px;margin: 0 0 10px 0;">C. S.NO :-</div>
    <div style="width: 666px;margin: 0 0 10px 0;border:1px solid orange;height:650px;">
    <div style="width:330px;height:600px;border:1px solid;float:left;">
    <div style="width:330px;height:60px;line-height: 60px;">__________COMPLAINANT</div>
   <div style="width: 300px;height: 60px;border: 1px solid;">
        <div style="width:120px;height: 60px;border-right: 1px solid;"></div>
        <div style="width:180px;height: 60px;">
            <div style="width:180px;height: 30px;border-bottom: 1px solid;"></div>
            <div style="width:180px;height: 30px;"></div>

        </div>
    </div>
    <div style="width: 300px;height: 60px;border: 1px solid;">
        <div style="width:120px;height: 60px;border-right: 1px solid;"></div>
        <div style="width:180px;height: 60px;">
            <div style="width:180px;height: 30px;border-bottom: 1px solid;"></div>
            <div style="width:180px;height: 30px;"></div>

        </div>
    </div>
   <div style="width:330px;height:60px;line-height: 60px;">.........Respondent</div>
            <div style="width:300px;height:60px;line-height: 60px;">U/s. 185(a), 181 & 180 Of M.V Act.</div>
            <div style="width:300px;height:60px;line-height: 60px;">DATED:</div>

    </div>
    
   

<div style="width:330px;height:600px;border:1px solid;float:right;">
Accused No. 1 and 2 present. They are examined U/s. 251 of Cr.P.C for the offence U/s. 185(a), 181 & 180 of
            M.V. Act. They voluntarily pleaded duilty and mercy of the court stating that ithis mistake. The admission
            of guilt by the accused No. 1 is voluntarily pleaded guilty for the offences U/s. 181(a), 181 of M.V. Act.,
            and accused A2 pleaded guilty for the offences U/s.180 of M.V. Act.

            On the question of quantum of sentence, the accused requested the court to take a lenient view and stated
            that it is his first offence. Considering the facts and the circumastance of the cse and the request made by
            the accused, the accused No. 1 is sentenced to pay a fine of RS ___________________ for the offence U/s.
            185(A) of M.V act and sentenced to pay a fine of Rs. _________for the offence U/s. 181 of M.V. Act. And the
            accused No. 2 sentenced to pay a fine of Rs.____________________ for the offence U/s. 180 of M.V. Act.,
            total amount of
            Rs. ___________________ in default of payment of fine the accused shall undergo S.I for ___________________
</div>
</div>
    <div style="width: 666px;margin:80px 0 0 0;">
        <div style="float: right;text-align: center;width: 300px; ">
            VII SPL II CLASS MEGISTRATE,<br>
            CYBERABAD AT MEDCHAL
        </div>
    </div>
<div class="cell width talr">
    <div class="stc">Stc No.___________/2021</div>
</div>

<div class="subhead width talcen">PETTY CASE CHARGE SHEET</div>

<div class="caseno width casepadding" style="height:30px;">
    <div class="pcaseno tall halfwidth fl">PETTY CASE NO.{{@$case_details['pettycase_no']}}</div>
    <div class="seccase talr halfwidth fl">U/s. 185(a), 181 & 180 OF M.V ACT</div>
</div>


<table style="width:100%;">
  <tr>
    <td style="width:60px;text-align:center;">1</td>
    <td style="width:350px;padding:0 20px;">Consecutive No.</td>
    <td></td>
  </tr>
  <tr>
    <td rowspan="7" style="width:60px;text-align:center;">2 R-1</td>
    <td style="width:350px;padding:0 20px;">Name of the Person Charged </td>
    <td >{{@$case_details['respondant']['name']}}</td>
  </tr>
  <tr>
  <td style="width:350px;padding:0 20px;">S/o</td>
  <td>{{@$case_details['respondant']['father_name']}}</td>
  </tr>
  <tr>
  	<td style="width:350px;padding:0 20px;">Occupation</td>
    <td >{{@$case_details['respondant']['occupation']}}</td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">R/o</td>
    <td >{{@$res_address}}</td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">Phone No.</td>
    <td >{{@$case_details['respondant']['mobile']}}</td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Aadhar No.</td>
    <td>{{@$case_details['respondant']['aadhar']}}</td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Driving License No.</td>
    <td >{{@$dl}}</td>
  </tr>
  <tr>
    <td rowspan="7" style="width:60px;text-align:center;">R-2</td>
    <td style="width:350px;padding:0 20px;">Name of the Person Charged </td>
    <td >{{@$case_details['respondant_owner']['name']}}</td>
  </tr>
  <tr>
  <td style="width:350px;padding:0 20px;">S/o</td>
  <td>{{@$case_details['respondant_owner']['father_name']}}</td>
  </tr>
  <tr>
  	<td style="width:350px;padding:0 20px;">Occupation</td>
    <td >{{@$case_details['respondant_owner']['occupation']}}</td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">R/o</td>
    <td >{{@$address}}</td>
  </tr>  
  <tr>
  	<td style="width:350px;padding:0 20px;">Phone No.</td>
    <td >{{@$case_details['respondant_owner']['mobile']}}</td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Aadhar No.</td>
    <td>{{@$case_details['respondant_owner']['aadhar']}}</td>
  </tr>
  <tr>
    <td style="width:350px;padding:0 20px;">Driving License No.</td>
    <td >{{@$own_dl}}</td>
  </tr>
  <tr>
    <td rowspan="6" style="width:60px;text-align:center;">3</td>
    <td rowspan="6" style="width:350px;padding:0 20px;">Owner of the Vehicle</td>
    <td>Name:{{@$case_details['respondant_owner']['name']}}</td>
  </tr>
    <tr>
    <td >S/o:{{@$case_details['respondant_owner']['father_name']}}</td>
  </tr>
    <tr>
    <td >Occ:{{@$case_details['respondant_owner']['occupation']}}</td>
  </tr>
    <tr>
    <td >R/o:{{@$address}}</td>
  </tr>
    <tr>
    <td >Aadhar:{{@$case_details['respondant_owner']['aadhar']}}</td>
  </tr>
    <tr>
    <td >Ph no:{{@$case_details['respondant_owner']['mobile']}}</td>
  </tr>  
  <tr>
  <td style="width:60px;text-align:center;">4</td>
  <td style="width:350px;padding:0 20px;">When Checked</td>
  <td >{{@$date}}</td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">5</td>
  <td style="width:350px;padding:0 20px;">When Bailed</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">6</td>
  <td style="width:350px;padding:0 20px;">Place</td>
  <td >{{@$case_details['point_name']}}</td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">7</td>
  <td style="width:350px;padding:0 20px;">Date on Which put up before magistrate Dated</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">8</td>
  <td style="width:350px;padding:0 20px;">Remarks</td>
  <td ></td>
  </tr>
</table>

<div style="width:100%;text-align:center;margin:10px 0;"><b>IN THE HON`BLE COURT OF VII SPECIAL METROPOLITAN MAGISTRATE MEDCHAL</b></div>

<div style="width:100%;margin:0 0 5px 0;">Honoured Sir,</div>
<div style="width:100%;margin:0 0 5px 0;">BRIEF FACTS OF THE</div>
<div style="width:100%;margin:0 0 10px 0;font-size:14px;">
Brief facts of the case are that, On {{@$date}} at about {{@$time}}HRS., while the LW-2 conducting 
“Enforcement against Drunk Driving” at {{@$case_details['point_name']}} and stopped one motor Cycle/Car/Auto/Goods Vehicle bearing No. {{@$case_details['vehicle']['number']}} 
with the help of LW-1. The respondent, who was the driver of vehicle Mr./Mrs. {{@$case_details['respondant']['name']}}, S/o. {{@$case_details['respondant']['father_name']}}, Age: {{@$case_details['respondant']['age']}}Yrs., Occ: {{@$case_details['respondant']['occupation']}},
R/o. {{@$res_address}}., was subjected to alcohol test with Breath Analyzer device by LW-2. 
The printed result of the test shown the BAC (Blood Alcohol Content) level as {{@$case_details['bac_count']}} mg/ 100 ml of blood, 
which has exceeded the permissible BAC level of 30mg/100 ml as mentioned in section 185(a) of MV act. 
Photographs were taken while conducting the breath test. The LW-2 obtained the signature of the respondent-1 on the result slip as well as on the MV Act challan receipt. 
Under the above circumstances, the BAC levels established that the respondent consumed alcohol more than the permissible limits and was driving. 
As such, allowing the respondent- 1 to drive the vehicle was not advisable in view of public safety as well as the respondent- 1 himself. 
Thus, in good faith and as the respondent-1 was not carrying the documents, LW-2 detained the vehicle. 
The respondent was provided with the original Breath Analyzer test result and the original MV Act challan receipt and was informed to appear before the Hon’ble Court.
</div>
<div style="width:100%;margin:0 0 40px 0;">
Later , it was found out that, the respondent-I  does not possess a valid DL at all the and he was the drivin the vehicle unauthorisedly in violation of the provisioins of Sec. 181 of the MV Act., 1988.
</div>
<div style="width:100%;margin:0 0 40px 0;">
Further, it was found out that the owner or person in charge of the said vehicle is Respondent No. 2 who has committed the offence under Section 180 of MV Act., 1988.</div>
<table style="width:100%;">
  <tr>
    <th>S.no</th>
    <th>Violation/Offence</th> 
    <th>Date</th>
    <th>Penalty</th>
    <th>Status</th>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
</table>


<div style="width:100%;margin:0 0 40px 0;">
Thus, in this back ground, it is clear that the Respondents 1 and 2 are liable ofr punishment for the offences as follows:
</div>

<div style="width:100%;margin:0 0 40px 0;">Respondent No.1 Punishable U/s. 185(a), 181 of the MV Act., 1988.<br>Respondent No. 2 Punishable U/s 180 of the MV Act., 1988.</div>

<div style="width:100%;margin:0 0 10px 0;">List Of Witnesses:</div>
<div style="width:100%;margin:0 0 10px 0;">LW-1, Sri. M. Gopal Reddy, PC 4280 of Alwal Traffic PS</div>
<div style="width:100%;margin:0 0 10px 0;">LW-2, Sri.Rajashekar Reddy, Inspector of Police, Alwal Traffic PS</div>

<div style="width:100%;margin:0 0 10px 0;">List of Documents enclosed:</div>
<div style="width:100%;margin:0 0 10px 0;">1.BAC Level Slip of Breath Analyzer</div>

<div style="width:100%;margin:200px 0 0 0;">
<div style="text-align:center;width:260px;bottom:0;margin:0 0 0 450px;">Station House Officer Alwal Traffic PS Cyberabad</div>
</div>

<div style="width:100%;height:auto;margin:130px 0 0 0;">
<div style="width:100%;text-align:center;">R-1</div>
<div style="width:100%;text-align:center;height:30px;margin:2px 0;">Examination of the Accused U/s 239/251 of Cr.P.C</div>
<div style="width:100%;text-align:center;height:30px;margin:2px 0;">IN THE COURT OF THE VII SPECIAL METROPOLITAN MAGISTRATE CYBERABAD AT MEDCHAL</div>
<div style="width:100%;padding:0px 100px;">Consecutive No	:	</div>
<table style="width:100%;margin:2px 0;">
  <tr>
    <td style="padding:0 20px;width:350px;">NAME: {{@$case_details['respondant']['name']}}</td>
    <td style="padding:0 20px;" colspan="2">AGE: {{@$case_details['respondant']['age']}}YRS.,.</td>
  <tr>
    <td style="padding:0 20px;width:350px;">S/o. {{@$case_details['respondant']['father_name']}}</td>
    <td style="padding:0 20px;" colspan="2">OCC: {{@$case_details['respondant']['occupation']}}</td>
  </tr>
  <tr>
    <td  style="padding:0 20px;width:350px;">R/o. {{@$res_address}}.	</td>
    <td style="padding:0 20px;">DATE</td>
    <td style="padding:0 20px;">{{@$date}}</td>
  </tr>
</table>
<div style="width:100%;">Q1: Have you received the copies of the documents?</div>
<div style="width:100%;height: 140px;">Ans:</div>
<div style="width:100%;">Q2:  The SHO of Police Alwal Traffic P.S, has filed a charge sheet against
you by alleging that, On {{@$date}} at about {{@$time}}HRS., while conducting enforcement against 
drunken drive at TUMKUNTA Y JUNCTION stopped you while you are driving vehicle Br. No. {{@$case_details['vehicle']['number']}} 
and subjected to alcohol test with breath analyser. The printed result of the test shown the BAC 
Level as {{@$case_details['bac_count']}} mg/100 ml of blood which has exceeded the permissible BAC level 30/100 ml of blood as 
mentioned in sec 185 (a) of M.V Act. As such allowing you to drive the vehicle was not advisable in
view of public safety as well as the respondent yourself. Thus, in good faith and as you are 
not carrying the documents. Hence LW2 detained the vehicle. What do you say?</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q3: Do you plead guilty or claim to be tried?</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q4: Have you got any means to engage an Advocate?</div>
<div style="width:100%;height:80px;">Ans:</div>
<div style="width:100%;margin:20px 0 0 0;">
<div style="text-align:center;width:260px;bottom:0;margin:0 0 0 450px;">Station House Officer Alwal Traffic PS Cyberabad</div>
</div>
</div><div style="width:100%;height:auto;margin:120px 0 0 0;">
<div style="width:100%;text-align:center;">R-2</div>
<div style="width:100%;text-align:center;height:30px;margin:5px 0;">Examination of the Accused U/s 239/251 of Cr.P.C</div>
<div style="width:100%;text-align:center;height:30px;margin:5px 0;">IN THE COURT OF THE VII SPECIAL METROPOLITAN MAGISTRATE CYBERABAD AT MEDCHAL</div>
<div style="width:100%;padding:0px 100px;">Consecutive No	:	</div>
<table style="width:100%;">
  <tr>
    <td style="padding:0 20px;width:350px;">NAME: {{@$case_details['respondant_owner']['name']}}</td>
    <td style="padding:0 20px;" colspan="2">AGE: {{@$case_details['respondant_owner']['age']}}YRS.,.</td>
  <tr>
    <td style="padding:0 20px;width:350px;">S/o. {{@$case_details['respondant_owner']['father_name']}}</td>
    <td style="padding:0 20px;" colspan="2">OCC: {{@$case_details['respondant_owner']['occupation']}}</td>
  </tr>
  <tr>
    <td  style="padding:0 20px;width:350px;">R/o. {{@$address}}.	</td>
    <td style="padding:0 20px;">DATE</td>
    <td style="padding:0 20px;">{{@$date}}</td>
  </tr>
</table>
<div style="width:100%;">Q1: Have you received the copies of the documents?</div>
<div style="width:100%;height: 140px;">Ans:</div>
<div style="width:100%;">Q2: The SHO of Police Alwal Traffic P.S, has filed a charge sheet against
you by alleging that, On {{@$date}} at about {{@$time}}HRS., while conducting enforcement against 
drunken drive at TUMKUNTA Y JUNCTION stopped you while you are driving vehicle Br. No. {{@$case_details['vehicle']['number']}} 
and subjected to alcohol test with breath analyser. The printed result of the test shown the BAC 
Level as {{@$case_details['bac_count']}} mg/100 ml of blood which has exceeded the permissible BAC level 30/100 ml of blood as 
mentioned in sec 185 (a) of M.V Act. As such allowing you to drive the vehicle was not advisable in
view of public safety as well as the respondent yourself. Thus, in good faith and as you are 
not carrying the documents. Hence LW2 detained the vehicle. What do you say?</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q3: Do you plead guilty or claim to be tried?</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q4: Have you got any means to engage an Advocate?</div>
<div style="width:100%;height:80px;">Ans:</div>
<div style="width:100%;margin:50px 0 0 0;">
<div style="text-align:center;width:260px;bottom:0;margin:0 0 0 450px;">Station House Officer Alwal Traffic PS Cyberabad</div>
</div>
</div>
<div class="widthf" style="height:40px;font-weight:bold;" >
  <div class="hwidth lfloat">IN THE COURT OF </div>
  <div class="hwidth rfloat">
  <div class="widthf">
    <div style="margin:0 0 0 175px;width:150px;height:40px;border:1px solid;">
    <div class="widthf" style="height:20px;">
    <div class="hwidth lfloat" style="height:20px;border-right:1px solid ;text-align:center;">DD</div>
    <div class="hwidth rfloat" style="height:20px;text-align:center;">{{@$case_details['bac_count']}}</div>
    </div>
    <div class="widthf" style="border-top:1px solid ;height:20px;text-align:center;">100</div>
    </div>
  </div>
  </div>
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
VII TH SPL MM MEDCHAL     
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
STC No.       /2021     
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
CS No.      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
BETWEEN     
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
PS ALWAL TRAFFIC      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
AND
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
R-1:{{@$case_details['respondant']['name']}}
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
U/Sec: 185 OF MV ACT      
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
Dated:      
</div>

<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
R1  
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
ALWAL TRAFFIC POLICE STATION, CYBERABAD 
</div>
<div class="widthf" style="height:220px;" >     
<div class="hwidth lfloat" style="height:200px;">
<div style="margin:25px 100px;height:150px;border:1px solid;"></div>
</div>
<div class="hwidth rfloat">
<div class="widthf" style="height:40px;line-height:40px;" >     
NAME:{{@$case_details['respondant']['name']}}
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
S/o:{{@$case_details['respondant']['father_name']}}    
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
AGE:{{@$case_details['respondant']['age']}}      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
OCC:{{@$case_details['respondant']['occupation']}}     
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
R/o:{{@$address}}      
</div>
</div>
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
The Respondant identified by me       
</div>
<div class="widthf" style="height:40px;margin:60px 0 0 0;" >      
    <div class="rfloat" style="width:200px;height:60px;text-align:center;">
    Station House Officer,<br>
    Alwal Traffic PS, Cyderabad
    </div>  
</div>
<div class="" style="height: 80px;">
        <div class="" style="float: left;width: 80%;height: 90px;"> IN THE COURT OF THE VII SPL II CLASS<br>
            METROPOLITAN MAGISTRATE,<br>
            CYBERABAD AT MEDCHAL.
        </div>
        <div class="" style="float: right;width:20%;margin:0 0 10px 0;">

            <div style="float: left;width:50px;height:40px;">DD</div>
            <div style="float: right; border: 1px solid;width:90px;height:40px;">
            <div style="width:90px;text-align: center;border-bottom: 1px solid;">230 %</div>
            <div class="border" style="width:90px;text-align: center;">100</div>    
        </div>

        </div>
        
    </div>
    <div style="width:130px;float:right;">DATE:</div>
    <div style="width: 666px;margin:10px 0;">S.T.C NO:-___________/2021</div>
    <div style="width: 666px;margin: 0 0 10px 0;">C. S.NO :-</div>
    <div style="width: 666px;margin: 0 0 10px 0;border:1px solid orange;height:650px;">
    <div style="width:330px;height:600px;border:1px solid;float:left;">
    <div style="width:330px;height:60px;line-height: 60px;">__________COMPLAINANT</div>
   <div style="width: 300px;height: 60px;border: 1px solid;">
        <div style="width:120px;height: 60px;border-right: 1px solid;"></div>
        <div style="width:180px;height: 60px;">
            <div style="width:180px;height: 30px;border-bottom: 1px solid;"></div>
            <div style="width:180px;height: 30px;"></div>

        </div>
    </div>
    <div style="width: 300px;height: 60px;border: 1px solid;">
        <div style="width:120px;height: 60px;border-right: 1px solid;"></div>
        <div style="width:180px;height: 60px;">
            <div style="width:180px;height: 30px;border-bottom: 1px solid;"></div>
            <div style="width:180px;height: 30px;"></div>

        </div>
    </div>
   <div style="width:330px;height:60px;line-height: 60px;">.........Respondent</div>
            <div style="width:300px;height:60px;line-height: 60px;">U/s. 185(a), 181 & 180 Of M.V Act.</div>
            <div style="width:300px;height:60px;line-height: 60px;">DATED:</div>

    </div>
    
   

<div style="width:330px;height:600px;border:1px solid;float:right;">
Accused No. 1 and 2 present. They are examined U/s. 251 of Cr.P.C for the offence U/s. 185(a), 181 & 180 of
            M.V. Act. They voluntarily pleaded duilty and mercy of the court stating that ithis mistake. The admission
            of guilt by the accused No. 1 is voluntarily pleaded guilty for the offences U/s. 181(a), 181 of M.V. Act.,
            and accused A2 pleaded guilty for the offences U/s.180 of M.V. Act.

            On the question of quantum of sentence, the accused requested the court to take a lenient view and stated
            that it is his first offence. Considering the facts and the circumastance of the cse and the request made by
            the accused, the accused No. 1 is sentenced to pay a fine of RS ___________________ for the offence U/s.
            185(A) of M.V act and sentenced to pay a fine of Rs. _________for the offence U/s. 181 of M.V. Act. And the
            accused No. 2 sentenced to pay a fine of Rs.____________________ for the offence U/s. 180 of M.V. Act.,
            total amount of
            Rs. ___________________ in default of payment of fine the accused shall undergo S.I for ___________________
</div>
</div>
    <div style="width: 666px;margin:80px 0 0 0;">
        <div style="float: right;text-align: center;width: 300px; ">
            VII SPL II CLASS MEGISTRATE,<br>
            CYBERABAD AT MEDCHAL
        </div>
    </div>
    <div class="widthf" style="height:40px;font-weight:bold;" >
  <div class="hwidth lfloat">IN THE COURT OF </div>
  <div class="hwidth rfloat">
  <div class="widthf">
    <div style="margin:0 0 0 175px;width:150px;height:40px;border:1px solid;">
    <div class="widthf" style="height:20px;">
    <div class="hwidth lfloat" style="height:20px;border-right:1px solid ;text-align:center;">DD</div>
    <div class="hwidth rfloat" style="height:20px;text-align:center;">{{@$case_details['bac_count']}}</div>
    </div>
    <div class="widthf" style="border-top:1px solid ;height:20px;text-align:center;">100</div>
    </div>
  </div>
  </div>
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
VII TH SPL MM MEDCHAL     
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
STC No.       /2021     
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
CS No.      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
BETWEEN     
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
PS ALWAL TRAFFIC      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
AND
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
R-1:{{@$case_details['respondant']['name']}}
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
U/Sec: 185 OF MV ACT      
</div>

<div class="widthf" style="height:40px;line-height:40px;" >     
Dated:      
</div>

<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
R1  
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
ALWAL TRAFFIC POLICE STATION, CYBERABAD 
</div>
<div class="widthf" style="height:220px;" >     
<div class="hwidth lfloat" style="height:200px;">
<div style="margin:25px 100px;height:150px;border:1px solid;"></div>
</div>
<div class="hwidth rfloat">
<div class="widthf" style="height:40px;line-height:40px;" >     
NAME:{{@$case_details['respondant']['name']}}
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
S/o:{{@$case_details['respondant']['father_name']}}    
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
AGE:{{@$case_details['respondant']['age']}}      
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
OCC:{{@$case_details['respondant']['occupation']}}     
</div>
<div class="widthf" style="height:40px;line-height:40px;" >     
R/o:{{@$address}}      
</div>
</div>
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >     
The Respondant identified by me       
</div>
<div class="widthf" style="height:40px;margin:60px 0 0 0;" >      
    <div class="rfloat" style="width:200px;height:60px;text-align:center;">
    Station House Officer,<br>
    Alwal Traffic PS, Cyderabad
    </div>  
</div>
</body>
</html>







