@php
use Carbon\Carbon;
use App\Master\Master_Pdf;
$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
         *{margin:0;padding:0;box-sizing: border-box;}
        table, th, td {border: 1px solid black;border-collapse: collapse;height:30px;}
        body{width:100%;height:100%;box-sizing: border-box;}
        .width{width:100%;}.halfwidth{width:50%}
        .tall{text-align:left;}.talr{text-align:right;}.talcen{text-align:center;}
        .con{width:100%;height:100%;border:1px solid black;}
		.fl{float:left;}
    </style>
</head>
<body style="width: 752px;height:842px;padding:20px;";>
<div class="subhead width talcen">PETTY CASE CHARGE SHEET</div>

<div class="caseno width casepadding" style="height:30px;">
    <div class="pcaseno tall halfwidth fl">PETTY CASE NO.{{@$case_details['pettycase_no']}}</div>
    <div class="seccase talr halfwidth fl">SEC. 185(a), 181 OF M.V ACT</div>
</div>


<table style="width:100%;">
  <tr>
    <td style="width:60px;text-align:center;">1</td>
    <td style="width:350px;padding:0 20px;">Consecutive No.</td>
    <td></td>
  </tr>
  
  <tr>
  <td rowspan="2" style="width:60px;text-align:center;">2</td>
  <td rowspan="2" style="width:350px;padding:0 20px;">Name of the Person Charged</td>
  <td style="width:200px;padding:0 20px;"> one</td>
  </tr>
  <tr>
  <td style="width:200px;padding:0 20px;">two</td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">3</td>
  <td style="width:350px;padding:0 20px;">Charged</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">4</td>
  <td style="width:350px;padding:0 20px;">Date on Which put up before magistrate Dated</td>
  <td ></td>
  </tr>
  <tr>
  <td style="width:60px;text-align:center;">5</td>
  <td style="width:350px;padding:0 20px;">Remarks</td>
  <td ></td>
  </tr>
</table>
<div style="width:100%;text-align:center;margin:10px 0;"><b>IN THE HON`BLE COURT OF VII SPECIAL METROPOLITAN MAGISTRATE MEDCHAL</b></div>

<div style="width:100%;margin:0 0 5px 0;">Honoured Sir,</div>
<div style="width:100%;margin:0 0 5px 0;">BRIEF FACTS OF THE</div>
<div style="width:100%;margin:0 0 10px 0;font-size:14px;">
          Brief facts of the case are that on  12.08.2021 at about 16:21HRS, LW-3 while  conducting Enforcement against Road Traffic Offences at   TUMKUNTA Y JUNCTION and stopped one (motor Cycle/Car/Auto/Goods Vehicle) Br. No. TS08FV1307 with the help of LW- 1 & 2.  The respondent-1, who was the driver of vehicle by name TUNGA SURESH S/o. KISTAIAH, Age: 36YRS, Occ: TODDY TAPPER, R/o. 7-100/1-2, AKUNOOR, CHERIAL MANDAL, WARANGAL.was drove his vehicle in rash and negligent manner dangerously. In meantime LW-3 stopped the Vehicle and requested to produce the all-relevant documents.   But the respondent is failed to produce his Driving License and also the vehicle owner also allowed driving the vehicle to an unauthorized person.  Immediately LW- 3 obtained the signature of the respondent on the MV act slip.  Under the above circumstances, it is established that  the respondent drove the vehicle Br. No.   TS36G1018 without having any valid Driving License. As such, allowing the respondent to drive the vehicle was not advisable  in view of public safety.  Thus, in good faith and as the respondent was not carrying the documents.   The LW- 3 detained the vehicle. The respondent was issued with the MV act challan receipt vide receipt No. CYB06TD211073235 with instructions to appear before the Hon'ble Court.								
								
								
								
								
								
								
								
								
								
								
								
								
								

</div>
<div style="width:100%;margin:0 0 40px 0;">
     The Respondent-2 by name  BATHULA SRINIVAS, S/o. KANAKAIAH, Age:  , Occ: AGRICULTURE, R/o. AKUNOOR, CHERIAL MANDAL, WARANGAL., Ph. No. 6305326405 who is being the owner / person in charge of the vehicle allowed / permitted to drive this  Unlicensed person(R-1) is punishable  U/s. 180 of M.V. Act.								
								
								
</div>
<div style="width:100%;margin:0 0 40px 0;">
     Thus the Respondent No. 1 i.e. TUNGA SURESH, S/o. KISTAIAH, Age: 36YRS, OCC: TODDY TAPPER, R/o.  7-100/1-2, AKUNOOR, CHERIAL MANDAL, WARANGAL., Ph.No.  9666559755 of this petty case Charge Sheet liable for Punishment U/s. 181 Of M.V. Act.								
								
</div>	
<div style="width:100%;margin:0 0 40px 0;">
    Hence requested the Hon’ble court may issue summons to the respondents and tried him according to law.															
</div>
<div style="width:100%;" >
<div style="width:60%;float:left;">
<div style="width:100%;margin:0 0 10px 0;">List Of Witnesses:</div>
<div style="width:100%;margin:0 0 10px 0;">LW-1, Sri. M. Gopal Reddy, PC 4280 of Alwal Traffic PS</div>
<div style="width:100%;margin:0 0 10px 0;">LW-2, Sri.Rajashekar Reddy, Inspector of Police, Alwal Traffic PS</div>
</div>
<div style="width:30%;float:left;margin:0 0 0 50px;">
<div style="width:100%;margin:0 0 10px 0;text-align:center;">Alwal Traffic PS	</div>
<div style="width:100%;margin:0 0 10px 0;text-align:center;">Station House Officer,<br>
Alwal Traffic, <br>Cyberabad.</div>
</div>
</div>
<div style="width:100%;margin:0 0 40px 0;">
List of Documents enclosed.
1. Copy of the M.V. Act Challan slip.				
</div>

<div style="width:100%;margin:0 0 40px 0;">
	Office Note:		
</div>
<div style="width:100%;margin:0 0 40px 0;">
	Dated:		
</div>
<div style="width:100%;margin:0 0 40px 0;">
	The charge sheet is filed by the	
	Traffic/Police PS Alwal Traffic
	against the accused for the offence 
</div>
<div style="width:100%;margin:0 0 40px 0;">
	U/s:
</div>
<div style="width:100%;margin:0 0 40px 0;">
	Along with following the documents:
	
</div>
<div style="width:100%;margin:0 0 40px 0;">
        The Case property___________________
</div>


<div style="width:100%;margin:0 0 40px 0;">
	  Accused No.___ 		
</div>
<div style="width:100%;margin:0 0 40px 0;">
	Charge sheet is checked and<br>
	found correct may number as<br>
	STC NO _____________/20 
</div>
<div style="width:100%;margin:0 0 40px 0;">
	SFO 
</div>
<div style="width:100%;margin:0 0 40px 0;">
	STC. NO :________________/20
	
</div>
<div style="width:100%;margin:0 0 40px 0;">
    This case is cognizance taken against<br>
	Accused No. ­­­­­___   for the offence<br>
	<b>U/S 181 of M.V.Act.</b>
</div>
<div style="width:100%;margin:0 0 40px 0;">
	VII MM SPL Court Medchal
</div>
<div style="width:100%;height:auto;margin:40px 0 0 0;">
<div style="width:100%;text-align:center;height:30px;margin:2px 0;"><u>IN THE COURT OF THE VII SPECIAL METROPOLITAN MAGISTRATE CYBERABAD AT MEDCHAL</u></div>
<div style="width:100%;text-align:center;height:30px;margin:2px 0;"><u>Examination of the Accused U/s 239/251 of Cr.P.C</u></div>

<div style="width:100%;padding:0px 100px;">S.T.C NO: / </div>
<div style="width:100%;text-align:center;height:30px;margin:2px 0;">R-1</div>
<div style="width:100%;text-align:center;height:30px;margin:2px 0;">NAME OF THE ACCUSED</div>
<div style="width"></div>
<div style="width:100%;">Q1: Have you received the copies of the documents?</div>
<div style="width:100%;height: 140px;">Ans:</div>
<div style="width:100%;text-align:justify;">Q2: The Alwal Traffic P.S. filed charge sheet against you 
by alleging that , the Vehicle Br. No.  TS36G1018 drove by you without driving licence, thereby you committed  
an offence U/s. 181/177, (S-130/177)Of MV Act.</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q3: Do you plead guilty or claim to be tried?</div>
<div style="width:100%;height:140px;">Ans:</div>
<div style="width:100%;">Q4: Have you got any means to engage an Advocate?</div>
<div style="width:100%;height:80px;">Ans:</div>
<div style="width:100%;margin:20px 0 0 0;">
    <div style="text-align:center;width:260px;bottom:0;margin:0 0 70px 450px;">VII SPL- METROPOLITAN MAGISTRATE
Cyberabad at Medchal.</div>
                     
</div>
</div>

</body>
</html>














