<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Master;
use App\Http\Controllers\TestController;
use App\Http\Controllers\RespondantController;
use App\Http\Controllers\ParkingController;
use App\Http\Controllers\VehicleController;
use App\Http\Controllers\OfficerController;
use App\Http\Controllers\DisposalController;
use App\Http\Controllers\ChargeSheetController;
use App\Http\Controllers\SuretyController;
use App\Http\Controllers\LawSectionController;
use App\Http\Controllers\OldcasesController;
use App\Http\Controllers\OffenceCaseController;


use App\Models\Test;
use App\Models\Respondant;
use App\Models\LawSection;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

//Route::get('/',[Controller::class, 'index']);

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/',[TestController::class,'index']);

Route::get('/parking',[ParkingController::class,'parking_master_test']);

Route::get('/vehicle',[VehicleController::class,'vehicle_master_test']);

Route::get('/chargesheet',[ChargeSheetController::class,'chargesheet_master_test']);

Route::get('/disposal',[DisposalController::class,'disposal_master_test']);

Route::get('/officer',[OfficerController::class,'officer_master_test']);

Route::get('/lawsections',[LawSectionController::class,'lawsection_master_test']);

Route::get('logs', [\Rap2hpoutre\LaravelLogViewer\LogViewerController::class, 'index']);

Route::get('import-form',[OldcasesController::class,'importView' ]);

// Route::get('export',[OffenceCaseController::class,'export' ]);

Route::get('export', [OffenceCaseController::class,'export']);

Route::get('/drink',function(){
    return view('drink_drive_data');
});

