<?php
use Carbon\Carbon;
use App\Master\Master_Pdf;

$timestamp = $case_details['offence_date'];
$splitTimeStamp = explode(" ",$timestamp);
$date = date('d-m-Y',strtotime($timestamp));
$time = date('H:i', strtotime($timestamp));

if($case_details['respondant_owner']['address'] == null){
    $address = '';
}else{
    $address = $case_details['respondant_owner']['address']['address1'];
}
if($case_details['respondant']['address'] == null){
    $res_address = '';
}else{
    $res_address = $case_details['respondant']['address']['address1'];
}
$vehicle = $case_details['vehicle']['number'];
$dl = $case_details['respondant']['driving_license']['number'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
	<style>
        
		body{width: 666px;height:842px;padding:20px;}
		.lfloat{float:left;}.rfloat{float:right;}.widthf{width:100%;}.hwidth{width:49%;}
		.header{height:130px;width:100%;}
        .dd{height:40px;}.ddsec{width:200px;}
		.ddcon{width:84%;height:40px;}.subdd{width:100px;}.datecon{width:15%;}
		.to{margin:10px 0 0 0;}.name{height:60px;}.name,.sign{text-align:center;}
		.sub,.mtr{margin:15px 0;}.sir{margin:10px 0;}.signcon{height:50px;}.tys,.phn{margin:10px 0;}
		.rs{margin:40px 0 0 0;}.type{height:30px;text-align:center;line-height:30px;}
	</style>
</head>
<body>
	<div class="widthf" style="height:40px;font-weight:bold;" >
	<div class="hwidth lfloat">IN THE COURT OF </div>
	<div class="hwidth rfloat">
	<div class="widthf">
		<div style="margin:0 0 0 175px;width:150px;height:40px;border:1px solid;">
		<div class="widthf" style="height:20px;">
		<div class="hwidth lfloat" style="height:20px;border-right:1px solid ;text-align:center;">DD</div>
		<div class="hwidth rfloat" style="height:20px;text-align:center;"><?php echo e(@$case_details['bac_count']); ?></div>
		</div>
		<div class="widthf" style="border-top:1px solid ;height:20px;text-align:center;">100</div>
		</div>
	</div>
	</div>
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
VII TH SPL MM MEDCHAL			
</div>

<div class="widthf" style="height:40px;line-height:40px;" >			
STC No.       /2021			
</div>

<div class="widthf" style="height:40px;line-height:40px;" >			
CS No.			
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
BETWEEN			
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
PS ALWAL TRAFFIC			
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
AND
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
R-1:<?php echo e(@$case_details['respondant']['name']); ?>

</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
U/Sec: 185 OF MV ACT			
</div>

<div class="widthf" style="height:40px;line-height:40px;" >			
Dated:			
</div>

<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >			
R1	
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >			
ALWAL TRAFFIC POLICE STATION, CYBERABAD	
</div>
<div class="widthf" style="height:220px;" >			
<div class="hwidth lfloat" style="height:200px;">
<div style="margin:25px 100px;height:150px;border:1px solid;"></div>
</div>
<div class="hwidth rfloat">
<div class="widthf" style="height:40px;line-height:40px;" >			
NAME:<?php echo e(@$case_details['respondant']['name']); ?>

</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
S/o:<?php echo e(@$case_details['respondant']['father_name']); ?>		
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
AGE:<?php echo e(@$case_details['respondant']['age']); ?>			
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
OCC:<?php echo e(@$case_details['respondant']['occupation']); ?>			
</div>
<div class="widthf" style="height:40px;line-height:40px;" >			
R/o:<?php echo e(@$address); ?>			
</div>
</div>
</div>
<div class="widthf" style="height:40px;line-height:40px;text-align:center;" >			
The Respondant identified by me 			
</div>
<div class="widthf" style="height:40px;margin:60px 0 0 0;" >			
		<div class="rfloat" style="width:200px;height:60px;text-align:center;">
		Station House Officer,<br>
		Alwal Traffic PS, Cyderabad
		</div>	
</div>
</body>
</html><?php /**PATH /var/www/html/traffic_api/resources/views/docket.blade.php ENDPATH**/ ?>